# `factory` ( service in module `AUTO` )

## Description

A short hand for configuring services if only `$get` method is required.

## Parameters

- `name – {string} –`

  The name of the instance.

- `$getFn – {function()} –`

  The $getFn for the instance creation. Internally this is a short hand for `$provide.provider(name, {$get: $getFn})` .

## Returns

`{Object}` –

registered provider instance